Bug 180255 - Review Request: nazghul - Old school RPG engine
Review Request: nazghul - Old school RPG engine
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fleming
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-02-06 15:07 EST by Jason Tibbitts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-14 14:29:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Tibbitts 2006-02-06 15:07:53 EST
Spec Name or Url: http://www.math.uh.edu/~tibbs/rpms/nazghul/nazghul.spec
SRPM Name or Url: http://www.math.uh.edu/~tibbs/rpms/nazghul/nazghul-0.5.3-1.src.rpm
Nazghul is an old-school RPG engine modeled after those made in the
heyday of top-down, 2d tile-based graphics. It is specifically modeled
after Ultima V.

Note that this SRPM builds two packages: nazghul, the game engine and nazghul-haxima, the supplied game, which is just plain text scheme code along with some images.

rpmlint output:

W: nazghul-haxima no-documentation
Comment 1 Michael Fleming 2006-02-07 06:08:15 EST
Builds fine in mock (FC4) and plays well for this old Ultima geek (10yrs+
udic.org member :-)).

- rpmlint is mostly happy aside the lack of doco in the haxima subpackage
- nazgul-haxima should be noarch
- rm $RPM_BUILD_ROOT%{_bindir}/haxima.sh - > rm -f $RPM_BUILD_ROOT....
- Rather than use chmod during %install use %attr in %files (my preference)
- install -Dp instead of mkdir/install -p for the haxima icon?
- %exclude %{_datadir}/nazghul/haxima in base package - why?
- list fedora-haxima.desktop & haxima.png in %files rather than using a wildcard
as you probably don't want to own all desktop and pixmap files

I'll take this bug for a fuller review a little later (once my bz group
membership is sorted)
Comment 2 Jason Tibbitts 2006-02-07 10:14:10 EST
Point-by-point comnments:

Note that is is not possible to build both noarch and arch-dependent packages
from the same specfile, so nazghul-haxima cannot be noarch.  If they packaged it
separately then I could just build it as a separate package.

I was wanting the rm to fail if haxima.sh isn't installed so the package won't
build, but it's immaterial.   It's actually an upstream bug that the provided
script isn't correct, so I think I'll just patch the upstream bug and let this
go away.  This steps around the chmod/%attr issue as well.

Never used install -D; I'll switch.

The main package owns %{_datadir}/nazghul, but the subpackage owns the
subdirectory.  (This is in perhaps optimistic preparation for more games using
the engine; packages should not own the same directory if possible.)  I'll use
%dir and skip the exclude.

True; if there are ever other games in the base package I will have to list them
separately so I might as well do it now.

Updated spec and src.rpm are in http://www.math.uh.edu/~tibbs/rpms/nazghul/
Comment 3 Michael Fleming 2006-02-13 07:14:54 EST
Point noted regarding the subpackage architecture (RFE?)

I've downloaded the newer SRPM and am putting it through it's paces now. I'll
let you know how it goes
Comment 4 Michael Fleming 2006-02-13 08:33:02 EST
Review for release 2:
* RPM name is OK
* Source nazghul-0.5.3.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint of nazghul looks OK
* File list of nazghul looks OK
* File list of nazghul-haxima looks OK
* Runs perfectly well on Core 4 with current updates

Needs work (but not a blocker IMHO):

W: nazghul-haxima no-documentation

* Something in %doc for the haxima subpackage to keep rpmlint happy? 
  I'm old enough to remember the old Ultimas, the young 'uns might not be so
  fortunate - RFE upstream for some backstory? :-P

But I digress...

Comment 5 Jason Tibbitts 2006-02-13 11:02:52 EST
It seems there are 64bit issues which prevent the package from building on
x86_64.  Catsting void* to int, it looks like.  I didn't think people did that
any longer.

I'm going to hack around a bit before declaring this ExclusiveArch: i386.
Comment 6 Jason Tibbitts 2006-02-14 14:29:21 EST
OK, after a bit of hacking I have a clean build on all three architectures.  I
also packaged some additional documentation including adding a users' guide to
the haxima subpackage.

Note You need to log in before you can comment on or make changes to this bug.